# https://gitlab.gnome.org/GNOME/gtranslator/-/issues/184
%bcond_with gtkdoc

Summary:	Translation (.po) file editor with many features
Name:		gtranslator
Version:	48.0
Release:	%mkrel 2
License:	GPLv2+ and GPLv3+
Group:		Editors
URL:		https://wiki.gnome.org/Apps/Gtranslator
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Backported from upstream
BuildRequires:	pkgconfig(gio-2.0) >= 2.36.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.71.3
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gthread-2.0) >= 2.13.0
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gtksourceview-5) >= 5.4.0
BuildRequires:	pkgconfig(gspell-1) >= 1.2.0
BuildRequires:	pkgconfig(iso-codes) >= 0.35
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libgda-6.0)
BuildRequires:	pkgconfig(libadwaita-1) >= 1.1.0
BuildRequires:	pkgconfig(libspelling-1)
BuildRequires:	pkgconfig(libsoup-3.0)
BuildRequires:	pkgconfig(libxml-2.0) >= 2.4.12
BuildRequires:	appstream
BuildRequires:	itstool
BuildRequires:	yelp-tools
BuildRequires:	gtk-doc
BuildRequires:	gnome-common
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	gettext-devel
Requires:	gettext
Requires:	iso-codes >= 0.35
Requires:	python3dist(pygobject)

%description
gtranslator is a comfortable po file editor with many bells and whistles.
It features many useful function which ease the work of translators of po
files immensely.

%prep
%autosetup -p1

%build
%meson %{?with_gtkdoc:-Dgtk_doc=true}
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md THANKS
%{_bindir}/gtranslator
%{_datadir}/gtksourceview-5/language-specs/gtranslator.lang
%{_datadir}/gtranslator/
%{_datadir}/applications/*.desktop
%{_metainfodir}/org.gnome.Gtranslator.appdata.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Gtranslator*.svg
%{_datadir}/glib-2.0/schemas/org.gnome.gtranslator*.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Gtranslator.gschema.xml
%if %{with gtkdoc}
%{_datadir}/gtk-doc/html/gtranslator
%endif
%{_mandir}/man?/*


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 48.0-2.mga10
+ Revision: 2249739
- Mageia 10 Mass Rebuild

* Tue Mar 25 2025 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2169644
- new version 48.0

* Sun Mar 16 2025 wally <wally> 47.1-2.mga10
+ Revision: 2164854
- rebuild for libxml2 2.13.6

* Wed Dec 04 2024 daviddavid <daviddavid> 47.1-1.mga10
+ Revision: 2120861
- new version 47.1

* Sun Oct 06 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2103678
- new version 47.0

* Wed Sep 18 2024 daviddavid <daviddavid> 46.1-2.mga10
+ Revision: 2098319
- rebuild for new libspelling 0.4.0

* Sun Jun 02 2024 daviddavid <daviddavid> 46.1-1.mga10
+ Revision: 2069217
- new version 46.1

* Thu Mar 21 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2051176
- new version 46.0

* Thu Dec 07 2023 daviddavid <daviddavid> 45.3-1.mga10
+ Revision: 2014353
- new version 45.3
- enable libspelling support

* Thu Oct 12 2023 daviddavid <daviddavid> 45.2-1.mga10
+ Revision: 1994854
- new version 45.2

* Sun Oct 01 2023 daviddavid <daviddavid> 45.1-1.mga10
+ Revision: 1992690
- new version 45.1

* Fri Sep 23 2022 tv <tv> 42.0-1.mga9
+ Revision: 1891783
- Update to 42.0
- Switch to libsoup 3

* Sun Apr 03 2022 umeabot <umeabot> 40.0-2.mga9
+ Revision: 1841475
- Mageia 9 Mass Rebuild

* Thu Apr 01 2021 daviddavid <daviddavid> 40.0-1.mga9
+ Revision: 1712397
- new version 40.0

* Sat Sep 19 2020 tv <tv> 3.38.0-1.mga8
+ Revision: 1628711
- fix build
+ ovitters <ovitters>
- new version 3.38.0

* Sat Mar 14 2020 daviddavid <daviddavid> 3.36.0-1.mga8
+ Revision: 1556339
- new version 3.36.0

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-3.mga8
+ Revision: 1536337
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 daviddavid <daviddavid> 3.34.0-2.mga8
+ Revision: 1454054
- fix python3 dependency

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439310
- new version 3.34.0

* Tue Aug 06 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1427641
- BR pkgconfig(json-glib-1.0)
+ ovitters <ovitters>
- new version 3.33.90

* Sun Apr 21 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1394504
- new version 3.32.1

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392653
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373993
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.90-1.mga7
+ Revision: 1372599
- new version 3.31.90

* Sun Nov 11 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1329593
- new version 3.30.1

* Sat Nov 03 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1328032
- new version 3.30.0
- switch to meson build system
- remove gtranslator-devel subpackage, move docs to the main package
- update upstream URLs

* Sun Sep 23 2018 umeabot <umeabot> 2.91.7-5.mga7
+ Revision: 1298133
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 daviddavid <daviddavid> 2.91.7-4.mga7
+ Revision: 1168340
- Disable gnome-dictionary support

* Fri Feb 12 2016 luigiwalser <luigiwalser> 2.91.7-3.mga6
+ Revision: 956054
- rebuild for gnome-dictionary (libgdict)

* Thu Aug 20 2015 fwang <fwang> 2.91.7-2.mga6
+ Revision: 866630
- rebuild for new gdict

* Tue Jun 23 2015 fwang <fwang> 2.91.7-1.mga6
+ Revision: 840564
- update file list
- fix linkage of private lib
- rebuild for new gdict
+ ovitters <ovitters>
- new verison 2.91.7

* Wed Oct 15 2014 umeabot <umeabot> 2.91.6-6.mga5
+ Revision: 748880
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.91.6-5.mga5
+ Revision: 680035
- Mageia 5 Mass Rebuild

* Sat Nov 02 2013 fwang <fwang> 2.91.6-4.mga4
+ Revision: 548908
- requires python-gi

* Sat Oct 19 2013 umeabot <umeabot> 2.91.6-3.mga4
+ Revision: 523990
- Mageia 4 Mass Rebuild

* Tue May 28 2013 fwang <fwang> 2.91.6-2.mga4
+ Revision: 429137
- update file list
- fix linkage
- add upstream patch to build with gtkspell 3.0
+ ovitters <ovitters>
- new version 2.91.6

* Sat Jan 12 2013 umeabot <umeabot> 2.91.5-4.20121221.3.mga3
+ Revision: 352940
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 fwang <fwang> 2.91.5-4.20121221.2.mga3
+ Revision: 333620
- fix pkgconfig file
- update file list
- update to latest git snapshot

* Thu Sep 06 2012 fwang <fwang> 2.91.5-4.mga3
+ Revision: 288731
- rebuild for new gdl

* Fri Jul 27 2012 fwang <fwang> 2.91.5-3.mga3
+ Revision: 274898
- reubild for new gdl

* Sun Jul 15 2012 wally <wally> 2.91.5-2.mga3
+ Revision: 271106
- rebuild for new gdl

* Wed Jun 27 2012 ovitters <ovitters> 2.91.5-1.mga3
+ Revision: 264563
- drop patch 0 (upstreamed)
- new version 2.91.5

* Sun Apr 22 2012 ovitters <ovitters> 2.90.8-4.mga2
+ Revision: 232675
- rebuild for new gdl

* Sun Apr 01 2012 fwang <fwang> 2.90.8-3.mga2
+ Revision: 227720
- rebuild for new gdl

* Mon Feb 06 2012 wally <wally> 2.90.8-2.mga2
+ Revision: 205488
- build against gda-5.0
- enable dictionary plugin
- tag .omf files as lang ones
- enable introspection support for sure

* Mon Feb 06 2012 fwang <fwang> 2.90.8-1.mga2
+ Revision: 205449
- new version 2.90.8

* Fri Oct 28 2011 fwang <fwang> 2.90.7-2.mga2
+ Revision: 159177
- rebuild for new gdl

* Thu Oct 20 2011 wally <wally> 2.90.7-1.mga2
+ Revision: 156960
- new version 2.90.7

* Wed Oct 12 2011 fwang <fwang> 2.90.6-1.mga2
+ Revision: 154043
- br gtk-doc
- use gnome-autogen
- fix build
- imported package gtranslator

